Skip to content
Framework Docs

Get Directory

client.Beta.Directories.Get(ctx, directoryID, query) (*BetaDirectoryGetResponse, error)
GET/api/v1/beta/directories/{directory_id}

Retrieve a directory by its identifier.

ParametersExpand Collapse
directoryID string
query BetaDirectoryGetParams
OrganizationID param.Field[string]optional
ProjectID param.Field[string]optional
ReturnsExpand Collapse
type BetaDirectoryGetResponse struct{…}

API response schema for a directory.

ID string

Unique identifier for the directory.

Name string

Human-readable name for the directory.

minLength1
ProjectID string

Project the directory belongs to.

CreatedAt Timeoptional

Creation datetime

formatdate-time
DataSourceID stringoptional

Optional data source id the directory syncs from. Null if just manual uploads.

DeletedAt Timeoptional

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
Description stringoptional

Optional description shown to users.

UpdatedAt Timeoptional

Update datetime

formatdate-time

Get Directory

package main

import (
  "context"
  "fmt"

  "github.com/stainless-sdks/llamacloud-prod-go"
  "github.com/stainless-sdks/llamacloud-prod-go/option"
)

func main() {
  client := llamacloudprod.NewClient(
    option.WithAPIKey("My API Key"),
  )
  directory, err := client.Beta.Directories.Get(
    context.TODO(),
    "directory_id",
    llamacloudprod.BetaDirectoryGetParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", directory.ID)
}
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "updated_at": "2019-12-27T18:11:19.117Z"
}